% try to reproduce the plot in Golub, Figure 3B. This shows the normalized
% genes for ALL and AML. The data are standardized.
% Example 1.1

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% First standardize the data such that each row has mean 0 and standard
% deviation 1.
load leukemia
x = leukemia(:,1:38);
[n,p]=size(x);
y = zeros(n,p);
for i = 1:n
    sig = std(x(i,:));
    mu = mean(x(i,:));
    y(i,:)= (x(i,:)-mu)/sig;
end

% Now do the image of the data.
pcolor(y)
colormap(gray(256))
colorbar
title('Gene Expression for Leukemia')
xlabel('ALL (1-27) or AML (28-38)')
ylabel('Gene')
