% Examp[le 2.8

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Example for new methods of intrinsic dimensionality reduction.
% This uses the function from the Dimensionality Reduction Toolbox.
% The reader must have this toolbox downloaded (separately) and
% The toolbox can be obtained from http://ticc.uvt.nl/~lvdrmaaten

% We are going to generate a new data set using a function from
% the Dimensionality Reduction Toolbox. This function is called
% generate_data.m and it will generate several different types of
% data sets. See the help on that function for more information.

% First, generate a helix data set and plot it.
[X] = generate_data('helix',2000,0.05);
plot3(X(:,1),X(:,2),X(:,3),'.')
grid on

% Now find the estimates of intrinsic dimensionality that 
% were described in the last three sections.
d_corr = intrinsic_dim(X,'CorrDim');
d_mle = intrinsic_dim(X,'MLE');
d_pack = intrinsic_dim(X,'PackingNumbers');

% We got the following results for the estimated dimensionality:
% d_corr = 1.6706
% d_mle = 1.6951
% d_pack = 1.2320
% The reader should get something similar.


opts = struct('FontMode','fixed','FontSize',6,'height',3,'Color','bw');
exportfig(gcf,'fig2helixID.eps',opts)