% Example 3.8
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Example of CCA applied to data on a sphere.

% Generate the data.
[x,y,z] = sphere;

% Generate a colormap for better visualization.
% cmap = colormap(gray(30));
% cmap = [cmap;flipud(cmap)];
% ind = find(cmap(:,1) == 1);
% % inds = [ind(1)-1; ind; ind(end)+1];
% cmap(ind,:) = zeros(length(ind),3);

% Visualize the points in a scatterplot.
% colormap(cmap)
% scatter3(x(:),y(:),z(:),3,z(:),'filled')
% axis equal
% view([-34, 16])

scatter3(x(:),y(:),z(:),3,'filled')
axis equal
view([-34, 16])

% apply cca - reducing to 2-D
Pcca = cca([x(:),y(:),z(:)],2,30);
figure
scatter(Pcca(:,1),Pcca(:,2),3,'filled')

% figure
% colormap(cmap)
% scatter(Pcca(:,1),Pcca(:,2),3,z(:),'filled')

% Now try with isomap for one of the problems.
X = [x(:),y(:),z(:)];
[Y,R,E] = isomap(squareform(pdist(X)),'k',10);
Xiso = Y.coords{2}';
plot(Xiso(:,1),Xiso(:,2),'.')