% Example 5.5

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Here we use the code by Ata Kaban to apply PLSA
% to the document data set used in the previous example.

% Here we load the term document matrix discussed above
load nmfclustex
% Next we call the PLSA function specifying 2 topics and 100
% iterations of the algorithm.
[V,S] = PLSA(nmfclustex,2,100);
% Note that the matrix V contains the probabilities 
% for each word given the topic or factor z.
% The matrix S contains the probability for each topic or
% fator z, given the document. 

% Here are the results:
% V
% 
% V =
% 
%     0.0625    0.0768
%     0.0623    0.0771
%     0.0000    0.1537
%     0.0621    0.1543
%     0.1876    0.0769
%     0.0000    0.1537
%     0.0000    0.1537
%     0.1251    0.0000
%     0.0000    0.1537
%     0.1876    0.0000
%     0.1876    0.0000
%     0.1251    0.0000

% S
% 
% S =
% 
%     0.0000    0.0000    0.9970    1.0000    0.0000    1.0000    1.0000    1.0000    0.6667
%     1.0000    1.0000    0.0030    0.0000    1.0000    0.0000    0.0000    0.0000    0.3333

% This shows that Topic 1 has documents: D3, D4, D6, D7, D8, D9.
% Topic 2 has D1, D2, D5
