% Example 7.9
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka


load ozone
% Assign an index value for X
x = 1:length(Yonkers);
y = Yonkers;
% Set some possible values for alpha.
alpha = 1:0.5:50;
CV = zeros(1,length(alpha));
for i = 1:length(CV)
    [x0,fhat,S] = splinesmth(x,y,alpha(i));
    num = y - fhat;
    den = 1 - diag(S);
    CV(i) = mean((num./den).^2);
end
% Find the minimum value of CV(alpha).
[m,ind] = min(CV);
% Find the corresponding alpha.
cvalpha = alpha(ind);

% Plot the CV function.
plot(alpha,CV)
xlabel('Smoothing Parameter \alpha')
ylabel('CV(\alpha)')



