% Example 9.12
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka
% Example of constructing Rangefinder Boxplots

% Use the oronsay data for this example.
% Use two of the variables: 7 & 8.
load oronsay
X = oronsay(:,7:8);


% Construct a scatterplot.
plot(X(:,1),X(:,2),'.')
xlabel(labcol{7})
ylabel(labcol{8})
title('Oronsay Data')
% Hold the plot, so we can add the lines.
hold on

% Find the quartiles for each variable.
qx1 = quartiles(X(:,1));
qx2 = quartiles(X(:,2));
% Find the interquartile ranges.
iqr1 = qx1(3) - qx1(1);
iqr2 = qx2(3) - qx2(1);

% Find the upper and lower limits.
LL1 = qx1(1) - 1.5*iqr1;
UL1 = qx1(3) + 1.5*iqr1;
LL2 = qx2(1) - 1.5*iqr2;
UL2 = qx2(3) + 1.5*iqr2;

% Now find the adjacent values.
Xs(:,1) = sort(X(:,1));
Xs(:,2) = sort(X(:,2));
ind1 = find(Xs(:,1) > LL1 & (Xs(:,1) < UL1));
adjv1 = [min(Xs(ind1,1)), max(Xs(ind1,1))];
ind2 = find(Xs(:,2) > LL2 & (Xs(:,2) < UL2));
adjv2 = [min(Xs(ind2,2)), max(Xs(ind2,2))];

% Place the cross at the medians.
plot([qx1(1),qx1(3)],[qx2(2),qx2(2)])
plot([qx1(2),qx1(2)],[qx2(1),qx2(3)])
% Plot a circle at the medians to check.
plot(qx1(2),qx2(2),'o')

% Plot the two vertical lines at the
% adjacent values for x_1.
plot([adjv1(1),adjv1(1)], [qx2(1),qx2(3)])
plot([adjv1(2),adjv1(2)], [qx2(1),qx2(3)])

% Plot the two horizontal lines at the
% adjacent values for x_2.
plot([qx1(1),qx1(3)], [adjv2(1),adjv2(1)])
plot([qx1(1),qx1(3)], [adjv2(2),adjv2(2)])

% Create a boxplot for the figure and to compare with the 
% rangefinder box plot.
boxplot(X,'labels',labcol(7:8))




